%global srcname flask
%global osrcname Flask
%global with_python3 1

Name:           python-flask
Version:        0.10.1
Release:        %mkrel 8
Summary:        A microframework based on Werkzeug, Jinja2 and good intentions
Group:          Development/Python
License:        BSD
URL:            http://github.com/mitsuhiko/flask/
Source0:        http://pypi.python.org/packages/source/f/%{srcname}/%{osrcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel 
BuildRequires:  python-setuptools 
BuildRequires:  python-werkzeug 
BuildRequires:  python-sphinx
BuildRequires:  python-jinja2
BuildRequires:  python-itsdangerous

%if %{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-werkzeug 
BuildRequires:  python3-sphinx
BuildRequires:  python3-jinja2
BuildRequires:  python3-itsdangerous
%endif # if with_python3

%description
A microframework based on Werkzeug, Jinja2 and good intentions

%if 0%{?with_python3}
%package -n     python3-%{srcname}
Summary:        A microframework based on Werkzeug, Jinja2 and good intentions

%description -n python3-%{srcname}
A microframework based on Werkzeug, Jinja2 and good intentions
%endif # with_python3

%prep
%setup -q -n %{osrcname}-%{version}
rm -rf %{osrcname}.egg-info
%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'
%endif # with_python3

%build
%{__python} setup.py build
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif # with_python3


%install
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install (and we want the python2 version
# to be the default for now).
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}
rm -rf %{buildroot}%{python_sitelib}/site.py
rm -rf %{buildroot}%{python_sitelib}/site.py[co]
rm -rf %{buildroot}%{python_sitelib}/easy-install.pth
rm -rf docs/_build/html/.buildinfo
rm -rf examples/minitwit/*.pyc
rm -rf examples/flaskr/*.pyc
rm -rf examples/jqueryexample/*.pyc
popd
%endif # with_python3

%{__python} setup.py install -O1 --skip-build --root %{buildroot}

rm -rf %{buildroot}%{python_sitelib}/site.py
rm -rf %{buildroot}%{python_sitelib}/site.py[co]
rm -rf %{buildroot}%{python_sitelib}/easy-install.pth
rm -rf docs/_build/html/.buildinfo
rm -rf examples/minitwit/*.pyc
rm -rf examples/flaskr/*.pyc
rm -rf examples/jqueryexample/*.pyc

%files
%doc AUTHORS LICENSE PKG-INFO CHANGES README
%{python_sitelib}/*.egg-info
%{python_sitelib}/flask
%if 0%{?with_python3}
%files -n python3-%{srcname}
%doc AUTHORS LICENSE PKG-INFO CHANGES README
%{python3_sitelib}/*.egg-info
%{python3_sitelib}/flask
%endif # with_python3


%changelog
* Thu Nov 06 2014 joequant <joequant> 0.10.1-8.mga5
+ Revision: 795912
- python3 support

* Wed Oct 15 2014 umeabot <umeabot> 0.10.1-7.mga5
+ Revision: 747925
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.10.1-6.mga5
+ Revision: 728517
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.10.1-5.mga5
+ Revision: 688033
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.10.1-3.mga4
+ Revision: 543515
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.10.1-2.mga4
+ Revision: 498610
- Rebuild to add different pythonegg provides for python 2 and 3

* Tue Jul 30 2013 neoclust <neoclust> 0.10.1-1.mga4
+ Revision: 460855
- imported package python-flask

